This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 155487 - Segmentation faults in Perl_gv_fetchpv() and Perl_find_script()
Segmentation faults in Perl_gv_fetchpv() and Perl_find_script()
Status: CLOSED DUPLICATE of bug 155490
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-20 15:57 EDT by Hans Ecke
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 16:12:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans Ecke 2005-04-20 15:57:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; en_US) KHTML/3.4.0 (like Gecko)

Description of problem:
Recently I have seen segmentation faults crop up in unattended (cron) perl  
scripts. Unfortunately I can not reproduce them interactively. 
  
I set them to create core files and downloaded perl-debuginfo. Attached you 
will find some backtraces that might help.   

Version-Release number of selected component (if applicable):
perl-5.8.5-9

How reproducible:
Sometimes

Steps to Reproduce:
1.Have perl scripts in cron (/etc/cron.hourly/ etc) 
2.Use BSD::Resource to make them create core files if interrupted 
3.Wait for messages in the mail 
   

Actual Results:  Perl scripts die from segmentation fault and create core files 

Expected Results:  They should not die. Perl should never ever see a segfault. 

Additional info:

See attached gdb backtraces.
Comment 1 Hans Ecke 2005-04-20 16:12:02 EDT
Double "submit", deleting this copy  

*** This bug has been marked as a duplicate of 155490 ***

Note You need to log in before you can comment on or make changes to this bug.